Loading...
Searching...
No Matches
cert::ServerSSLCert::Info Struct Reference

Certificate manager information. More...

## Public Attributes

boolean | havePendingReq
| `true` if a CSR is pending
boolean | havePendingCert
| `true` if an uploaded certificate is pending activation
ReqInfo | pendingReqInfo
| Information about pending CSR.
CertInfo | pendingCertInfo
| Information about pending certificate file (device certificate)
vector< CertInfo > | pendingCertChainInfos
| Information about pending certificate file (remaining certificate chain if available)
CertInfo | activeCertInfo
| Information about active certificate file (device certificate)
vector< CertInfo > | activeCertChainInfos
| Information about active certificate file (remaining certificate chain if available)
int | maxSignDays
| Maximum number of days a self signed certificate will be valid.

## Detailed Description

Certificate manager information.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl